import { IEncryptedMessage, StringifiedType } from "@tkey-singularity/common-types";
declare class DeviceEncryptedMessage implements IEncryptedMessage {
    ciphertext: string;
    ephemPublicKey: string;
    iv: string;
    mac: string;
    constructor(ciphertext: string, ephemPublicKey: string, iv: string, mac: string);
    static fromJSON(value: StringifiedType): DeviceEncryptedMessage;
    toJSON(): StringifiedType;
}
export default DeviceEncryptedMessage;
